﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="WizardScenario.aspx.cs" Inherits="WizardScenario" %>

<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
</head>
<body>
    <form id="form1" runat="server">
    <div>
        <telerik:RadScriptManager ID="RadScriptManager1" runat="server">
        </telerik:RadScriptManager>
        <telerik:RadSplitter ID="RadSplitter1" runat="server" EnableEmbeddedBaseStylesheet="false"
            BorderStyle="None" EnableEmbeddedScripts="true" LiveResize="True" 
            Width="940px">
            <telerik:RadPane ID="RadPane1" runat="server" CssClass="myStepContainer" Height="500px">
                <!-- Generate the left panel for the wizard steps-->
                <telerik:RadListView ID="WizardStepList" runat="server" ItemPlaceholderID="WizardStepsContainer"
                    DataKeyNames="CategoryID" DataSourceID="SqlDataSource1" OnPreRender="RadListView_PreRender">
                    <%--OnItemDataBound="lstRelatedItems_ItemDataBound"--%>
                    <LayoutTemplate>
                        <%--<fieldset> --%>
                        <asp:Panel ID="WizardStepsContainer" runat="server" />
                        <%--</fieldset>--%></LayoutTemplate>
                    <ItemTemplate>
                        <div class='Eval("StatusCssClass")' id="workflowItem" runat="server">
                            <p class="toggler">
                                <asp:LinkButton ID="LinkButtonCategoryName" runat="server" ToolTip='<%# Eval("CategoryName") + " Tooltip" %>'
                                    Text='<%# Eval("CategoryName") %>'></asp:LinkButton>
                            </p>
                        </div>
                    </ItemTemplate>
                </telerik:RadListView>
            </telerik:RadPane>
            <telerik:RadPane ID="contentPane" EnableEmbeddedScripts="true" runat="server" ContentUrl="about:blank"
                CssClass="container" Width="790px" Height="600px">
                <div id="Div1" runat="server" class="workflowButtonsHoriz">
                    <asp:Button CssClass="prevButton" ID="Previous" title="Previous" runat="server" />
                    <asp:Button CssClass="nextButton" ID="Next" title="Next" runat="server" />
                    <span style="display: none">
                        <asp:Button ID="refresh" runat="server" /></span>
                </div>
                <div class="clearBoth">
                </div>
            </telerik:RadPane>
        </telerik:RadSplitter>
        <asp:SqlDataSource ID="SqlDataSource1" runat="server" ConnectionString="<%$ ConnectionStrings:NorthwindConnectionString %>"
            SelectCommand="SELECT * FROM [Categories]"></asp:SqlDataSource>
    </div>
    </form>
</body>
</html>
